/*
 Copyright (c) 2010 Alessandro Sivieri <alessandro.sivieri@gmail.com>

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public
 License version 2 as published by the Free Software Foundation.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.

 You should have received a copy of the GNU Library General Public License
 along with this library; see the file COPYING.LIB.  If not, write to
 the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 Boston, MA 02110-1301, USA.
 */

#ifndef FACETVIEWDATE_H_
#define FACETVIEWDATE_H_

#include "facetviewbuttons.h"
#include "daterange.h"

class FacetViewDate: public FacetViewButtons
{
    Q_OBJECT
        
    public:
        FacetViewDate(Facet* facet, QWidget* parent = 0);
        virtual ~FacetViewDate();
        
    public Q_SLOTS:
        void startDateWidget();
        void dateChanged(const DateRange& range);
    
    protected:
        void doButtonChanged(QAbstractButton* button);
};

#endif /* FACETVIEWDATE_H_ */
